/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "notes_entry.h"

using namespace TkResolver;
using namespace Experimenter;

NotesEntry:: NotesEntry(Gtk::Window & parent, TextPtr notes)
  : Gtk::Dialog("Experiment notes", parent, true)
{
  set_default_size(600, 200);
  add_button(Gtk::Stock::OK, Gtk::RESPONSE_OK);

  TextFrame * notes_frame = Gtk::manage(new TextFrame("Notes", notes));
  get_vbox()->pack_start(*notes_frame, true, true);  

  show_all_children();
}
